easy_admin:
    entities:
        Company:
            class: App\CatalogBundle\Entity\Company
            controller: App\CatalogBundle\Controller\CatalogAdminController
            disabled_actions: [new, delete, edit, show, search, list]
            list:
                title: entity.company.title.list
                fields:
                    - { property: user.id, label: common.id }
                    - { property: user.fullName, label: common.company_name }
                    - property: user.email
                      label: common.email
                      template: "@Core/backend/display/field_email_envelope.html.twig"
                    - property: user.phone
                      label: common.phone_number
                    - property: user.getAddressInvoice.city
                      label: common.city
                    - property: user.getAddressInvoice.voivodeship
                      label: common.voivodeship
                    - property: section.locale.name
                      label: entity.section.form.label.section
                    - property: user.points
                      label: entity.user_point.name.multiple
                    - property: subscriptionEndDate
                      label: entity.company.name.subscription_end_date
                    - property: user.activeClassifieds
                      label: page.list.name.classifieds_amount
                      template: CoreBundle:backend/display:field_count.html.twig
                actions:
                    - { name: edit, icon: pencil }
            show:
                fields:
                    - { property: user.fullName, label: common.company_name }
            form:
                title: entity.company.title.new
                fields:
                    - type: group
                      css_class: col-lg-5
                      label: common.basic_data
                      icon: paint-brush

                    - property: user
                      label: common.company_name
                      type_options:
                         disabled: true
                    - property: section
                      label: entity.section.form.label.section
                      type_options:
                        required: true
                        placeholder: common.choose
                    - property: subscriptionStartDate
                      label: entity.company.name.subscription_start_date
                      type: date
                    - property: subscriptionEndDate
                      label: entity.company.name.subscription_end_date


                    - type: group
                      css_class: col-lg-7
                      label: common.content
                      icon: paint-brush

                    - property: locales
                      type: collection
                      type_options:
                          label: false
                          entry_type: App\CatalogBundle\Form\Type\CompanyLocaleType
                          error_bubbling: false
                          by_reference: false
            edit:
                title: entity.company.title.edit
        CompanyOpinion:
            class: App\CatalogBundle\Entity\CompanyOpinion
            controller: App\CatalogBundle\Controller\CatalogAdminController
            search:
                fields:
                    - id
            list:
                title: entity.company_opinion.title.list
                sort: [approved, ASC]
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - { property: id, label: common.id }
                    - { property: company, label: common.company }
                    - property: userName
                      label: entity.user.name.single
                      template: "CatalogBundle:backend/list:user.html.twig"
                    - property: userEmail
                      label: common.email
                      template: "CoreBundle:backend/display:field_email_envelope.html.twig"
                    - { property: ip, label: common.ip }
                    - { property: approved, label: entity.company_opinion.name.whether_approved }
                    - property: createdDate
                      label: common.creation_date
                      template: CoreBundle:backend/display:field_date_small_hours.html.twig
                    - property: content
                      label: common.content
                      template: "@Core/backend/display/field_info.html.twig"
            show:
                fields:
                    - { property: id, label: common.id }
                    - { property: company, label: common.company }
                    - { property: updatedBy.fullName, label: entity.user.name.single }
                    - { property: approved, label: entity.company_opinion.name.whether_approved }
            form:
                fields:
                    - type: group
                      css_class: col-lg-5
                      label: common.basic_data
                      icon: paint-brush

                    - property: approved
                      label: entity.company_opinion.name.whether_approved
                    - property: company
                      label: common.company
                      type_options:
                        disabled: true
                        placeholder: common.choose
                    - property: updatedBy
                      label: entity.user.name.single
                      type: Notimeo\UserBundle\Form\Type\UsersType
                      type_options:
                        disabled: true
                    - property: signature
                      label: entity.company_opinion.name.signature
                      help: entity.company_opinion.form.help.signature
                    - property: email
                      label: common.email
                      help: entity.company_opinion.form.help.signature
                      type_options:
                        disabled: true


                    - type: group
                      css_class: col-lg-7
                      label: common.basic_data
                      icon: paint-brush

                    - property: content
                      label: common.content
                      type_options:
                        required: true
            edit:
                title: entity.company_opinion.title.edit
            new:
                title: entity.company_opinion.title.new
                fields:
                    - property: company
                      type_options:
                        disabled: false
                    - property: updatedBy
                      type_options:
                        disabled: false
                    - property: email
                      type_options:
                        disabled: false
        CatalogConfig:
            require_permission: ROLE_ADMIN
            class: App\CatalogBundle\Entity\CatalogConfig
            controller: App\CatalogBundle\Controller\CatalogConfigAdminController
            config: